Radix cross Linux

The main Radix cross Linux repository contains the build scripts of packages, which have the most complete and common functionality for desktop machines

383 Commits   1 Branch   1 Tag
Index: radix-1.9/MATE/mate-control-center/1.27.0/Makefile
===================================================================
--- radix-1.9/MATE/mate-control-center/1.27.0/Makefile	(revision 299)
+++ radix-1.9/MATE/mate-control-center/1.27.0/Makefile	(revision 300)
@@ -181,6 +181,10 @@
 $(install_target): $(build_target)
 	@mkdir -p $(MATE_PKG)
 	@cd $(build_dir) && $(BUILD_ENVIRONMENT) $(MAKE) install $(env_sysroot)
+	# ======= Disable time-admin applet due to org.freedesktop.timedate1 dependencies: =======
+	@( cd $(MATE_PKG)/usr/share/applications ; \
+	   mv mate-time-admin.desktop{,.failure} ; \
+	 )
 	# ======= Remove mimeinfo cache: =======
 	@rm $(MATE_PKG)/usr/share/applications/mimeinfo.cache
 	# ======= Install Documentation =======
Index: radix-1.9/base/radix-setup/scripts/setup
===================================================================
--- radix-1.9/base/radix-setup/scripts/setup	(revision 299)
+++ radix-1.9/base/radix-setup/scripts/setup	(revision 300)
@@ -2718,12 +2718,79 @@
   ln -sfr ${ROOT_MPOINT}/boot/boot.emmc.scr ${ROOT_MPOINT}/boot/boot.scr
 }
 #
-# End of install U-Boot:
+# End of install U-Boot.
 #
 ####################################################################
 
+####################################################################
+#
+# Select Desktop Environment:
+#
+select_desktop_environment()
+{
+  local height=10
+  local items=0
 
+  cat > $TMP/select-desktop-envitonment$$ << EOF
+--colors --clear $nocancel \\
+--backtitle "\Z7Radix\Zn \Z1cross\Zn\Z7 Linux\Zn" \\
+--title " \Z0Select Desktop Environment\Zn " \\
+--menu "\\n\\
+EOF
+
+
+  cat >> $TMP/select-desktop-envitonment$$ << EOF
+\\n\\
+ Please select your preferred Desktop Environment:\\
+" ${height} 74 ${items} \\
+EOF
+
+  #
+  # Currently we have only 'OpenBox' and 'Mate' Environments:
+  #
+  for session in `ls ${ROOT_MPOINT}/etc/X11/xinit/xinitrc.*-session` ; do
+    case ${session} in
+      *openbox*)
+        let 'items += 1'
+        let 'height += 1'
+        cat >> $TMP/select-desktop-envitonment$$ << EOF
+"OpenBox" "- Lightweight window manager for X Window" \\
+EOF
+       ;;
+      *mate*)
+        let 'items += 1'
+        let 'height += 1'
+        cat >> $TMP/select-desktop-envitonment$$ << EOF
+"MATE" "- MATE Desktop Environment (based on GNOME 2)" \\
+EOF
+       ;;
+    esac
+  done
+
+  $DIALOG --default-item "OpenBox" --file $TMP/select-desktop-envitonment$$ 2> $TMP/desktop$$
+  ret=$?
+  if [ ${ret} -eq 255 ]; then
+    rm -f $TMP/desktopt$$
+    rm -f $TMP/select-desktop-envitonment$$
+    result="OpenBox"
+  else
+    result=`cat $TMP/desktop$$`
+  fi
+  rm -f $TMP/desktop$$
+  rm -f $TMP/select-desktop-envitonment$$
+  if [ "${result}" = "MATE" ]; then
+    ln -srf ${ROOT_MPOINT}/etc/X11/xinit/xinitrc.mate-session ${ROOT_MPOINT}/etc/X11/xinit/xinitrc
+  else
+    ln -srf ${ROOT_MPOINT}/etc/X11/xinit/xinitrc.openbox-session ${ROOT_MPOINT}/etc/X11/xinit/xinitrc
+  fi
+}
 #
+# End of Select Desktop Environment.
+#
+####################################################################
+
+
+#
 # Parse Options:
 #
 while [ 0 ]; do
@@ -2886,6 +2953,14 @@
   ${ROOT_MPOINT}/usr/sbin/timeconfig --root ${ROOT_MPOINT}
 fi
 
+#
+# Select Desktop Environment:
+#
+enabled=$(echo "`ls /etc/X11/xinit/xinitrc.*-session`" | wc -l)
+if [ ${enabled} -gt 1 ] ; then
+  select_desktop_environment
+fi
+
 $DIALOG --colors --clear \
         --backtitle "\Z7Radix\Zn \Z1cross\Zn\Z7 Linux\Zn" \
         --title " \Z0System Installation is Complete\Zn " \